- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QDB2Driver Class Reference

Search for all occurrences

## Detailed Description

Definition at line 89 of file qsql_db2.h.

`#include <qsql_db2.h>`

Inheritance diagram for QDB2Driver:
[legend]

List of all members.

## Public Member Functions
| QDB2Driver (QObject *parent=0)
| QDB2Driver (Qt::HANDLE env, Qt::HANDLE con, QObject *parent=0)
| ~QDB2Driver ()
bool | hasFeature (DriverFeature) const
void | close ()
QSqlRecord | record (const QString &tableName) const
QStringList | tables (QSql::TableType type) const
QSqlResult * | createResult () const
QSqlIndex | primaryIndex (const QString &tablename) const
bool | beginTransaction ()
bool | commitTransaction ()
bool | rollbackTransaction ()
QString | formatValue (const QSqlField &field, bool trimStrings) const
QVariant | handle () const
bool | open (const QString &db, const QString &user, const QString &password, const QString &host, int port, const QString &connOpts)
QString | escapeIdentifier (const QString &identifier, IdentifierType type) const

## Constructor & Destructor Documentation

QDB2Driver | ( | QObject * | parent = `0` | ) | `[explicit]`

QDB2Driver | ( | Qt::HANDLE | env,
|  | Qt::HANDLE | con,
|  | QObject * | parent = `0`
| ) |  |

~QDB2Driver | ( |  | ) |

## Member Function Documentation

bool hasFeature | ( | DriverFeature |  | ) | const `[virtual]`

Search for all occurrences

Implements QSqlDriver.

void close | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QSqlDriver.

QSqlRecord record | ( | const QString & | tableName | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QStringList tables | ( | QSql::TableType | type | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QSqlResult* createResult | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QSqlDriver.

QSqlIndex primaryIndex | ( | const QString & | tablename | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

bool beginTransaction | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

bool commitTransaction | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

bool rollbackTransaction | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QString formatValue | ( | const QSqlField & | field,
|  | bool | trimStrings
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QVariant handle | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

bool open | ( | const QString & | db,
|  | const QString & | user,
|  | const QString & | password,
|  | const QString & | host,
|  | int | port,
|  | const QString & | connOpts
| ) |  | `[virtual]`

Search for all occurrences

Implements QSqlDriver.

QString escapeIdentifier | ( | const QString & | identifier,
|  | IdentifierType | type
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

The documentation for this class was generated from the following file:

- QtSql/qsql_db2.h

QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver
QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver QDB2Driver